#!/usr/bin/perl -w
use strict;
use IO::File;
use Time::localtime;

&grabResults;

sub grabResults{
    
    my @fileNames =("e64.4x4LUT.retime.Pipe0.Cslow1.PACKED.out",
		    "ex5p.4x4LUT.retime.Pipe0.Cslow1.PACKED.out",
		    "apex4.4x4LUT.retime.Pipe0.Cslow1.PACKED.out",
		    "misex3.4x4LUT.retime.Pipe0.Cslow1.PACKED.out",
		    "alu4.4x4LUT.retime.Pipe0.Cslow1.PACKED.out",
		    "des.4x4LUT.retime.Pipe0.Cslow1.PACKED.out",
		    "seq.4x4LUT.retime.Pipe0.Cslow1.PACKED.out",
		    "apex2.4x4LUT.retime.Pipe0.Cslow1.PACKED.out",
		    "spla.4x4LUT.retime.Pipe0.Cslow1.PACKED.out",
		    "pdc.4x4LUT.retime.Pipe0.Cslow1.PACKED.out",
		    "ex1010.4x4LUT.retime.Pipe0.Cslow1.PACKED.out",
		    "s1423.4x4LUT.out",
		    "tseng.4x4LUT.out",
		    "dsip.4x4LUT.out",
		    "diffeq.4x4LUT.out",
		    "bigkey.4x4LUT.out",
		    "s298.4x4LUT.out",
		    "frisc.4x4LUT.out",
		    "elliptic.4x4LUT.out",
		    "s38584.1.4x4LUT.out",
		    "s38417.4x4LUT.out",
		    "clma.4x4LUT.out");

    my $fileNumber = 0;
    my $lineLength = 0;
    my $number = 0;

    ITER: while ($fileNumber < 22){
	open(INFILE, "$fileNames[$fileNumber]") || die "Problem opening file $fileNames[$fileNumber]";
	print "$fileNames[$fileNumber]: ";
	while(<INFILE>){ 
	    my ($line) = $_;
	    chomp($line);
	    if($line =~ /inputs/){
		print "$line\n";
	    }	    
	    if($line =~ /The circuit will be mapped into a/){
		print "$line\n";
	    }	    
	    if($line =~ /Initial Placement Cost:/){
		print "$line\n";
	    }	    
	    if($line =~ /bb_cost recomputed from scratch is/){
		print "$line\n";
	    }	   
	    if($line =~ /Placement Estimated Crit Path Delay:/){
		print "$line\n";
	    }
	    if($line =~ /Critical Path:/){
		print "$line\n";
	    }
	    if($line =~ /Best routing used a channel width factor of/){
		print "$line\n";
	    }
	}
	$fileNumber = $fileNumber + 1;
	print "\n";
	next ITER;
    }
}

