#!/usr/bin/perl -w
use strict;
use IO::File;
use Time::localtime;

&grabResults;

sub grabResults{
    
    my @fileNames =("s298.4x4LUT.retime.Pipe3.Cslow15.PACKED.out1.2Chan",
		    "clma.4x4LUT.retime.Pipe4.Cslow16.PACKED.out1.2Chan");

    my $fileNumber = 0;
    my $lineLength = 0;
    my $number = 0;

    ITER: while ($fileNumber < 2){
	open(INFILE, "$fileNames[$fileNumber]") || die "Problem opening file $fileNames[$fileNumber]";
	print "$fileNames[$fileNumber]: ";
	while(<INFILE>){ 
	    my ($line) = $_;
	    chomp($line);
	    if($line =~ /inputs/){
		print "$line\n";
	    }	    
	    if($line =~ /The circuit will be mapped into a/){
		print "$line\n";
	    }	    
	    if($line =~ /Initial Placement Cost:/){
		print "$line\n";
	    }	    
	    if($line =~ /bb_cost recomputed from scratch is/){
		print "$line\n";
	    }	   
	    if($line =~ /Placement Estimated Crit Path Delay:/){
		print "$line\n";
	    }
	    if($line =~ /Critical Path:/){
		print "$line\n";
	    }
	    if($line =~ /Best routing used a channel width factor of/){
		print "$line\n";
	    }
	}
	$fileNumber = $fileNumber + 1;
	print "\n";
	next ITER;
    }
}

