// Copyright (C) 2006 Ken Eguro, Scott Hauck, Akshay Sharma
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
//
// You can contact the authors electronically at eguro at ee dot washington dot edu
// or by regular mail at 
// Box 352500, 
// University of Washington
// Seattle, WA 98195

vector <unsigned int> *createPathVectorRoot(Net* net, PipeliningNet* pNet, list<pExplore> *cleanupList);
int MAXIDpathVectorSize();
int pathVectorSize();
bool checkNodeID(vector <unsigned int> *pathVector, int nodeID);
void setNodeID(vector <unsigned int> *pathVector, int nodeID);
vector <unsigned int> * createPathVectorRoot(PipeliningNet* pNet);
void addTree2PathVector(treeNode* tree_node, vector <unsigned int> *pathVector, list<pExplore> *cleanupList);
void addNode2PathVector(routingNode *rNode, vector <unsigned int> *pathVector, list<pExplore> *cleanupList);
void fillPathVectorMask();
