# Take all of the sequential circuits and just retime them.
# Output both the packed and unpacked versions.
source convertPipelineRetimePackUnPackedCSlow.sh ../net_4x4lut/s1423.4x4LUT 16 4 4 1 2 7
source convertPipelineRetimePackUnPackedCSlow.sh ../net_4x4lut/tseng.4x4LUT 16 4 4 0 2 4
source convertPipelineRetimePackUnPackedCSlow.sh ../net_4x4lut/dsip.4x4LUT 16 4 4 1 1 2
source convertPipelineRetimePackUnPackedCSlow.sh ../net_4x4lut/diffeq.4x4LUT 16 4 4 0 2 5
source convertPipelineRetimePackUnPackedCSlow.sh ../net_4x4lut/bigkey.4x4LUT 16 4 4 1 2 2
source convertPipelineRetimePackUnPackedCSlow.sh ../net_4x4lut/s298.4x4LUT 16 4 4 0 2 8
source convertPipelineRetimePackUnPackedCSlow.sh ../net_4x4lut/frisc.4x4LUT 16 4 4 1 2 4
source convertPipelineRetimePackUnPackedCSlow.sh ../net_4x4lut/elliptic.4x4LUT 16 4 4 0 2 4
source convertPipelineRetimePackUnPackedCSlow.sh ../net_4x4lut/s38584.1.4x4LUT 16 4 4 1 2 5
source convertPipelineRetimePackUnPackedCSlow.sh ../net_4x4lut/s38417.4x4LUT 16 4 4 0 2 6
source convertPipelineRetimePackUnPackedCSlow.sh ../net_4x4lut/clma.4x4LUT 16 4 4 0 2 8

#Collect the retimed, pipelined, unpacked armada netlists
mv ../net_4x4lut/*.UNPACKED.armadaNet ../../unpackedRetimedPipelined4x4LUTArmadaNetsNew/
#Collect the retimed, pipelined blifs
mv ../net_4x4lut/*.blif ../../generated_4lutBlifNew
#Collect the retimed, pipelined, packed vpr netlists
mv ../net_4x4lut/*.PACKED.net ../../packedRetimedPipelined4x4LUTVPRNetsNew/
#Collect the second retimed, unpacked armada netlist
mv ../net_4x4lut/*.REUNPACKED.armadaNet ../../reUnpackedRetimedPipelined4x4LUTArmadaNetsNew/
#Collect the retimed, pipelined, packed armada netlists
mv ../net_4x4lut/*.PACKED.armadaNet ../../packedRetimedPipelined4x4LUTArmadaNetsNew/
