// Copyright (C) 2006 Ken Eguro, Scott Hauck, Akshay Sharma
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
//
// You can contact the authors electronically at eguro at ee dot washington dot edu
// or by regular mail at 
// Box 352500, 
// University of Washington
// Seattle, WA 98195

/* Error reporting functions */
#include "include.h"

//void _Error(char *str, int line, char* file)
void _Error(string str, int line, string file)
{
  cerr << "Internal Error in file " << file << " line " << line << ":\n";
  cerr << "\t" << str << '\n';
  exit(1);
}

//void _Ext_Error(char *str)
void _Ext_Error(string str)
{
  cerr << "Error: \n";
  cerr << "\t" << str << '\n';
  exit(1);
}

