#!/usr/bin/perl -w
use strict;
use IO::File;
use Time::localtime;

&grabResults;

sub grabResults{
    
    my @fileNames =("e64.4x4LUT.retime.Pipe4.Cslow1.PostCslow1.PACKED.out1.2Chan",
		    "ex5p.4x4LUT.retime.Pipe7.Cslow1.PostCslow1.PACKED.out1.2Chan",
		    "apex4.4x4LUT.retime.Pipe6.Cslow1.PostCslow1.PACKED.out1.2Chan",
		    "misex3.4x4LUT.retime.Pipe7.Cslow1.PostCslow1.PACKED.out1.2Chan",
		    "alu4.4x4LUT.retime.Pipe7.Cslow1.PostCslow1.PACKED.out1.2Chan",
		    "des.4x4LUT.retime.Pipe6.Cslow1.PostCslow1.PACKED.out1.2Chan",
		    "seq.4x4LUT.retime.Pipe7.Cslow1.PostCslow1.PACKED.out1.2Chan",
		    "apex2.4x4LUT.retime.Pipe8.Cslow1.PostCslow1.PACKED.out1.2Chan",
		    "spla.4x4LUT.retime.Pipe8.Cslow1.PostCslow1.PACKED.out1.2Chan",
		    "pdc.4x4LUT.retime.Pipe9.Cslow1.PostCslow1.PACKED.out1.2Chan",
		    "ex1010.4x4LUT.retime.Pipe8.Cslow1.PostCslow1.PACKED.out1.2Chan",
		    "s1423.4x4LUT.retime.Pipe14.Cslow14.PostCslow1.PACKED.out1.2Chan",
		    "tseng.4x4LUT.retime.Pipe1.Cslow8.PostCslow1.PACKED.out1.2Chan",
		    "dsip.4x4LUT.retime.Pipe3.Cslow2.PostCslow1.PACKED.out1.2Chan",
		    "diffeq.4x4LUT.retime.Pipe1.Cslow10.PostCslow1.PACKED.out1.2Chan",
		    "bigkey.4x4LUT.retime.Pipe3.Cslow3.PostCslow1.PACKED.out1.2Chan",
		    "s298.4x4LUT.retime.Pipe4.Cslow15.PostCslow1.PACKED.out1.2Chan",
		    "frisc.4x4LUT.retime.Pipe8.Cslow8.PostCslow1.PACKED.out1.2Chan",
		    "elliptic.4x4LUT.retime.Pipe1.Cslow8.PostCslow1.PACKED.out1.2Chan",
		    "s38584.1.4x4LUT.retime.Pipe9.Cslow9.PostCslow1.PACKED.out1.2Chan",
		    "s38417.4x4LUT.retime.Pipe5.Cslow11.PostCslow1.PACKED.out1.2Chan",
		    "clma.4x4LUT.retime.Pipe5.Cslow16.PostCslow1.PACKED.out1.2Chan",
		    "e64.4x4LUT.retime.Pipe4.Cslow1.PostCslow2.PACKED.out1.2Chan",
		    "ex5p.4x4LUT.retime.Pipe7.Cslow1.PostCslow2.PACKED.out1.2Chan",
		    "apex4.4x4LUT.retime.Pipe6.Cslow1.PostCslow2.PACKED.out1.2Chan",
		    "misex3.4x4LUT.retime.Pipe7.Cslow1.PostCslow2.PACKED.out1.2Chan",
		    "alu4.4x4LUT.retime.Pipe7.Cslow1.PostCslow2.PACKED.out1.2Chan",
		    "des.4x4LUT.retime.Pipe6.Cslow1.PostCslow2.PACKED.out1.2Chan",
		    "seq.4x4LUT.retime.Pipe7.Cslow1.PostCslow2.PACKED.out1.2Chan",
		    "apex2.4x4LUT.retime.Pipe8.Cslow1.PostCslow2.PACKED.out1.2Chan",
		    "spla.4x4LUT.retime.Pipe8.Cslow1.PostCslow2.PACKED.out1.2Chan",
		    "pdc.4x4LUT.retime.Pipe9.Cslow1.PostCslow2.PACKED.out1.2Chan",
		    "ex1010.4x4LUT.retime.Pipe8.Cslow1.PostCslow2.PACKED.out1.2Chan",
		    "s1423.4x4LUT.retime.Pipe14.Cslow14.PostCslow2.PACKED.out1.2Chan",
		    "tseng.4x4LUT.retime.Pipe1.Cslow8.PostCslow2.PACKED.out1.2Chan",
		    "dsip.4x4LUT.retime.Pipe3.Cslow2.PostCslow2.PACKED.out1.2Chan",
		    "diffeq.4x4LUT.retime.Pipe1.Cslow10.PostCslow2.PACKED.out1.2Chan",
		    "bigkey.4x4LUT.retime.Pipe3.Cslow3.PostCslow2.PACKED.out1.2Chan",
		    "s298.4x4LUT.retime.Pipe4.Cslow15.PostCslow2.PACKED.out1.2Chan",
		    "frisc.4x4LUT.retime.Pipe8.Cslow8.PostCslow2.PACKED.out1.2Chan",
		    "elliptic.4x4LUT.retime.Pipe1.Cslow8.PostCslow2.PACKED.out1.2Chan",
		    "s38584.1.4x4LUT.retime.Pipe9.Cslow9.PostCslow2.PACKED.out1.2Chan",
		    "s38417.4x4LUT.retime.Pipe5.Cslow11.PostCslow2.PACKED.out1.2Chan",
		    "clma.4x4LUT.retime.Pipe5.Cslow16.PostCslow2.PACKED.out1.2Chan",
		    "e64.4x4LUT.retime.Pipe4.Cslow1.PostCslow3.PACKED.out1.2Chan",
		    "ex5p.4x4LUT.retime.Pipe7.Cslow1.PostCslow3.PACKED.out1.2Chan",
		    "apex4.4x4LUT.retime.Pipe6.Cslow1.PostCslow3.PACKED.out1.2Chan",
		    "misex3.4x4LUT.retime.Pipe7.Cslow1.PostCslow3.PACKED.out1.2Chan",
		    "alu4.4x4LUT.retime.Pipe7.Cslow1.PostCslow3.PACKED.out1.2Chan",
		    "des.4x4LUT.retime.Pipe6.Cslow1.PostCslow3.PACKED.out1.2Chan",
		    "seq.4x4LUT.retime.Pipe7.Cslow1.PostCslow3.PACKED.out1.2Chan",
		    "apex2.4x4LUT.retime.Pipe8.Cslow1.PostCslow3.PACKED.out1.2Chan",
		    "spla.4x4LUT.retime.Pipe8.Cslow1.PostCslow3.PACKED.out1.2Chan",
		    "pdc.4x4LUT.retime.Pipe9.Cslow1.PostCslow3.PACKED.out1.2Chan",
		    "ex1010.4x4LUT.retime.Pipe8.Cslow1.PostCslow3.PACKED.out1.2Chan",
		    "s1423.4x4LUT.retime.Pipe14.Cslow14.PostCslow3.PACKED.out1.2Chan",
		    "tseng.4x4LUT.retime.Pipe1.Cslow8.PostCslow3.PACKED.out1.2Chan",
		    "dsip.4x4LUT.retime.Pipe3.Cslow2.PostCslow3.PACKED.out1.2Chan",
		    "diffeq.4x4LUT.retime.Pipe1.Cslow10.PostCslow3.PACKED.out1.2Chan",
		    "bigkey.4x4LUT.retime.Pipe3.Cslow3.PostCslow3.PACKED.out1.2Chan",
		    "s298.4x4LUT.retime.Pipe4.Cslow15.PostCslow3.PACKED.out1.2Chan",
		    "frisc.4x4LUT.retime.Pipe8.Cslow8.PostCslow3.PACKED.out1.2Chan",
		    "elliptic.4x4LUT.retime.Pipe1.Cslow8.PostCslow3.PACKED.out1.2Chan",
		    "s38584.1.4x4LUT.retime.Pipe9.Cslow9.PostCslow3.PACKED.out1.2Chan",
		    "s38417.4x4LUT.retime.Pipe5.Cslow11.PostCslow3.PACKED.out1.2Chan",
		    "clma.4x4LUT.retime.Pipe5.Cslow16.PostCslow3.PACKED.out1.2Chan",
		    "e64.4x4LUT.retime.Pipe4.Cslow1.PostCslow4.PACKED.out1.2Chan",
		    "ex5p.4x4LUT.retime.Pipe7.Cslow1.PostCslow4.PACKED.out1.2Chan",
		    "apex4.4x4LUT.retime.Pipe6.Cslow1.PostCslow4.PACKED.out1.2Chan",
		    "misex3.4x4LUT.retime.Pipe7.Cslow1.PostCslow4.PACKED.out1.2Chan",
		    "alu4.4x4LUT.retime.Pipe7.Cslow1.PostCslow4.PACKED.out1.2Chan",
		    "des.4x4LUT.retime.Pipe6.Cslow1.PostCslow4.PACKED.out1.2Chan",
		    "seq.4x4LUT.retime.Pipe7.Cslow1.PostCslow4.PACKED.out1.2Chan",
		    "apex2.4x4LUT.retime.Pipe8.Cslow1.PostCslow4.PACKED.out1.2Chan",
		    "spla.4x4LUT.retime.Pipe8.Cslow1.PostCslow4.PACKED.out1.2Chan",
		    "pdc.4x4LUT.retime.Pipe9.Cslow1.PostCslow4.PACKED.out1.2Chan",
		    "ex1010.4x4LUT.retime.Pipe8.Cslow1.PostCslow4.PACKED.out1.2Chan",
		    "s1423.4x4LUT.retime.Pipe14.Cslow14.PostCslow4.PACKED.out1.2Chan",
		    "tseng.4x4LUT.retime.Pipe1.Cslow8.PostCslow4.PACKED.out1.2Chan",
		    "dsip.4x4LUT.retime.Pipe3.Cslow2.PostCslow4.PACKED.out1.2Chan",
		    "diffeq.4x4LUT.retime.Pipe1.Cslow10.PostCslow4.PACKED.out1.2Chan",
		    "bigkey.4x4LUT.retime.Pipe3.Cslow3.PostCslow4.PACKED.out1.2Chan",
		    "s298.4x4LUT.retime.Pipe4.Cslow15.PostCslow4.PACKED.out1.2Chan",
		    "frisc.4x4LUT.retime.Pipe8.Cslow8.PostCslow4.PACKED.out1.2Chan",
		    "elliptic.4x4LUT.retime.Pipe1.Cslow8.PostCslow4.PACKED.out1.2Chan",
		    "s38584.1.4x4LUT.retime.Pipe9.Cslow9.PostCslow4.PACKED.out1.2Chan",
		    "s38417.4x4LUT.retime.Pipe5.Cslow11.PostCslow4.PACKED.out1.2Chan",
		    "clma.4x4LUT.retime.Pipe5.Cslow16.PostCslow4.PACKED.out1.2Chan");

    my $fileNumber = 0;
    my $lineLength = 0;
    my $number = 0;

    ITER: while ($fileNumber < 88){
	open(INFILE, "$fileNames[$fileNumber]") || die "Problem opening file $fileNames[$fileNumber]";
	print "$fileNames[$fileNumber]: ";
	while(<INFILE>){ 
	    my ($line) = $_;
	    chomp($line);
	    if($line =~ /inputs/){
		print "$line\n";
	    }	    
	    if($line =~ /The circuit will be mapped into a/){
		print "$line\n";
	    }	    
	    if($line =~ /Initial Placement Cost:/){
		print "$line\n";
	    }	    
	    if($line =~ /bb_cost recomputed from scratch is/){
		print "$line\n";
	    }	   
	    if($line =~ /Placement Estimated Crit Path Delay:/){
		print "$line\n";
	    }
	    if($line =~ /Critical Path:/){
		print "$line\n";
	    }
	    if($line =~ /Best routing used a channel width factor of/){
		print "$line\n";
	    }
	}
	$fileNumber = $fileNumber + 1;
	print "\n";
	next ITER;
    }
}

