// Copyright (C) 2006 Ken Eguro, Scott Hauck, Akshay Sharma
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
//
// You can contact the authors electronically at eguro at ee dot washington dot edu
// or by regular mail at 
// Box 352500, 
// University of Washington
// Seattle, WA 98195

//Timing-driven pipeline routing stuff
void routeNetQuickRoute_D(int iter, Net* net, double criticalPathDelay);
bool findRouteQuickRouteSink_D(int iter, Net* net, Terminal *sinkTerminal, int latency, priority_queue<pqNode>* PQ, 
			       list<pExplore> *cleanupList, double criticalPathDelay);

void addRoutingNodes2PQ_D(priority_queue<pqNode>* PQ, PipeliningNet* pNet, treeNode* tree_node, int assumed_crit_index, 
			  int latency, vector <unsigned int> *basePathVector, list<pExplore> *cleanupList, 
			  double criticalPathDelay);

void backTracePipelinedRoute_D(Net* net, PipeliningNet* sourcePNet, Terminal* sinkTerminal, 
			     int assumed_crit_index, int lat, int e_index, double criticalPathDelay);
