# Take all of the combinational circuits and pipeline them 1x
#  then retime them.
# Output both the packed and unpacked versions.
source convertPipelineRetimePackUnPacked.sh ../net_4lut/e64.4LUT 4 1 4 1 2
source convertPipelineRetimePackUnPacked.sh ../net_4lut/ex5p.4LUT 4 1 4 1 4
source convertPipelineRetimePackUnPacked.sh ../net_4lut/apex4.4LUT 4 1 4 1 3
source convertPipelineRetimePackUnPacked.sh ../net_4lut/misex3.4LUT 4 1 4 1 4
source convertPipelineRetimePackUnPacked.sh ../net_4lut/alu4.4LUT 4 1 4 1 4
source convertPipelineRetimePackUnPacked.sh ../net_4lut/des.4LUT 4 1 4 1 3
source convertPipelineRetimePackUnPacked.sh ../net_4lut/seq.4LUT 4 1 4 1 4
source convertPipelineRetimePackUnPacked.sh ../net_4lut/apex2.4LUT 4 1 4 1 4
source convertPipelineRetimePackUnPacked.sh ../net_4lut/spla.4LUT 4 1 4 1 4
source convertPipelineRetimePackUnPacked.sh ../net_4lut/pdc.4LUT 4 1 4 1 5
source convertPipelineRetimePackUnPacked.sh ../net_4lut/ex1010.4LUT 4 1 4 1 4

#Collect the retimed, pipelined, unpacked armada netlists
mv ../net_4lut/*.UNPACKED.armadaNet ../../unpackedRetimedPipelined4LUTArmadaNetsNew/
#Collect the retimed, pipelined blifs
mv ../net_4lut/*.blif ../../generated_4lutBlifNew
#Collect the retimed, pipelined, packed vpr netlists
mv ../net_4lut/*.PACKED.net ../../packedRetimedPipelined4LUTVPRNetsNew/
#Collect the second retimed, unpacked armada netlist
mv ../net_4lut/*.REUNPACKED.armadaNet ../../reUnpackedRetimedPipelined4LUTArmadaNetsNew/
#Collect the retimed, pipelined, packed armada netlists
mv ../net_4lut/*.PACKED.armadaNet ../../packedRetimedPipelined4LUTArmadaNetsNew/
